#include "ui/dialogs/DeviceDialog.h"
#include "build/ui_DeviceDialog.h"
#include <QPushButton>
#include <QVBoxLayout>
#include <QLabel>

DeviceDialog::DeviceDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DeviceDialog)
{
    ui->setupUi(this);
    setWindowTitle("机器人列表");
    setWindowFlags(Qt::Dialog | Qt::WindowTitleHint | Qt::CustomizeWindowHint);
    setAttribute(Qt::WA_TranslucentBackground);
    setStyleSheet("background-color: rgba(255, 255, 255, 150);"); // 设置透明度为 150 的白色背景
}

DeviceDialog::~DeviceDialog()
{
    delete ui;
}

void DeviceDialog::addDeviceInfo(QString name, QString type, QString status, QString position)
{
    // 创建一个新的机器人信息部件
    QWidget *widget = new QWidget();
    QVBoxLayout *layout = new QVBoxLayout(widget);
    layout->addWidget(new QLabel("机器人名称：" + name));
    layout->addWidget(new QLabel("机器人类型：" + type));
    layout->addWidget(new QLabel("机器人状态：" + status));
    layout->addWidget(new QLabel("机器人位置：" + position));
    layout->addStretch();
    widget->setLayout(layout);

    // 将机器人信息部件添加到布局中
    layout->addWidget(widget);
}
